var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/client/useLocaleData.ts
var useLocaleData_exports = {};
__export(useLocaleData_exports, {
  useLocaleData: () => useLocaleData
});
module.exports = __toCommonJS(useLocaleData_exports);
var import_client = require("@vuepress/client");
var import_vue = require("vue");

// src/client/assignDefaultLocaleOptions.ts
var DEFAULT_SEARCH_BOX_LOCALE_DATA = {
  placeholderText: "Buscar",
  notResultsForText: "No resultados encontrados para",
  countFoundResultsText: "Resultados encontrados",
  seeAllResultsLinkText: "Ver todos los resultados",
  searchPageLinkText: "P\xE1gina de resultados"
};
var assignDefaultLocaleOptions = (localeOptions) => {
  if (!localeOptions.value.searchBox) {
    localeOptions.value.searchBox = {};
    Object.assign(localeOptions.value.searchBox, __spreadValues({}, DEFAULT_SEARCH_BOX_LOCALE_DATA));
  }
};

// src/client/useLocaleData.ts
var useLocaleData = () => {
  const localeOptions = (0, import_client.useSiteLocaleData)();
  assignDefaultLocaleOptions(localeOptions);
  (0, import_vue.watch)(localeOptions, () => {
    assignDefaultLocaleOptions(localeOptions);
  });
  return localeOptions;
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useLocaleData
});
